Get wallet balance
const url = 'https://api.trueproxies.com/v1/wallet';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.trueproxies.com/v1/wallet \ --header 'Authorization: Bearer <token>'Your account’s wallet, in USD cents. Resellers need reseller:read and also get live funding limits; other customers need billing:read. Minimum payments put the rest of a small order here. No on-behalf access. A frozen wallet can still be funded by a reseller.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
object
What wallet payments can spend now, in cents. Lower than balance_cents while a chargeback is open on a payment whose minimum-payment surplus is in this wallet.
Whether this account may create a wallet top-up now. Resellers can while the reseller program is on; other customers while minimum payments are on.
Example
{ "currency": "USD"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}default
Section titled “default”Error
object
What a client needs to act on the error (ids, flags), never display text.
object
Example
{ "code": "BAD_REQUEST"}